using System;
using System.Runtime.Serialization;
using DZTC.UselessAppEver.Core;

namespace DZTC.UselessAppEver.Base32.Exceptions
{
    [Serializable]
    public class InvalidCharacterException : Base32DecodingException
    {
        public InvalidCharacterException(byte b)
            : base(Localization.InvalidCharacterInInputData.AsFormat((char)b))
        {
        }

        protected InvalidCharacterException(
            SerializationInfo info,
            StreamingContext context)
            : base(info, context)
        {
        }
    }
}