using System.Runtime.Serialization;
using DZTC.UselessAppEver.Core;

namespace DZTC.UselessAppEver.Base32.Exceptions
{
    public class InvalidPaddingException : Base32DecodingException
    {
        public InvalidPaddingException()
            : base(Localization.IncorrectPadding)
        {
        }

        protected InvalidPaddingException(
            SerializationInfo info,
            StreamingContext context)
            : base(info, context)
        {
        }
    }
}